/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Fondation.
 * 
 * This program is distributed in the hope that it would be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance with
 * the express provisions of the GNU General Public License.  Patent licenses,
 * if any, provided herein do not apply to combinations of this program with
 * other product or programs, or any other product whatsoever.  This program is
 * distributed without any warranty that the program is delivered free of the
 * rightful claim of any third person by way of infringement or the like.  See
 * the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston MA 02111-1307, USA.
 */

/* $Id: pmiestats.h,v 1.3 1999/11/18 06:56:13 kenmcd Exp $ */

#ifndef PMIESTATS_H
#define PMIESTATS_H

#include <sys/types.h>
#include <sys/param.h>

#define PMIE_DIR	"/var/tmp/pmie"

/* pmie performance instrumentation */
typedef struct {
    char		config[MAXPATHLEN+1];
    char		logfile[MAXPATHLEN+1];
    char		defaultfqdn[MAXHOSTNAMELEN+1];
    float		eval_expected;		/* pmcd.pmie.eval.expected */
    unsigned int	numrules;		/* pmcd.pmie.numrules      */
    unsigned int	actions;		/* pmcd.pmie.actions       */
    unsigned int	eval_true;		/* pmcd.pmie.eval.true     */
    unsigned int	eval_false;		/* pmcd.pmie.eval.false    */
    unsigned int	eval_unknown;		/* pmcd.pmie.eval.unknown  */
    unsigned int	eval_actual;		/* pmcd.pmie.eval.actual   */
    unsigned int	version;
} pmiestats_t;

#endif /* PMIESTATS_H */
